curl --request POST \
--url https://api.qa.sima.ag/api/v3/third_party/work_orders/{wo_id}/additional_info \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: */*' \
--header 'X-SIMA-SYSTEM-ID: <api-key>' \
--data '
"\"{\\n \\\"origin_system\\\": \\\"GeoAgris\\\",\\n \\\"data\\\": { \\n \\\"code\\\": \\\"2024 - OT - 1552p\\\",\\n \\\"url\\\": \\\"https://x.agriexplorer.net/index.php/works/detail?job_uuid=91e63af5-9792-4793-a6b8-a97927b24261\\\",\\n \\\"uuid\\\": \\\"91e63af5-9792-4793-a6b8-a97927b24261\\\",\\n \\\"modified\\\": \\\"2024-08-11T20:57:50\\\",\\n \\\"calculated\\\": \\\"2024-08-11T20:57:49.927144\\\",\\n \\\"working_to\\\": \\\"2024-07-27T18:02:50\\\",\\n \\\"external_id\\\": null,\\n \\\"overlapping\\\": 0.1508435755968094,\\n \\\"driver_names\\\": [\\n \\\"Rocca, Sergio\\\"\\n ],\\n \\\"working_from\\\": \\\"2024-07-24T20:41:41\\\",\\n \\\"machine_group\\\": \\\"Rocca\\\",\\n \\\"valid_from_to\\\": \\\"[\\\\\\\"2024-07-01 00:00:00\\\\\\\",\\\\\\\"2024-08-31 00:00:00\\\\\\\"]\\\",\\n \\\"speed_semaphore\\\": 1,\\n \\\"machine_group_id\\\": 495,\\n \\\"climate_semaphore\\\": 3,\\n \\\"speed_working_max\\\": 18.634207,\\n \\\"speed_working_min\\\": 3.7966,\\n \\\"hectares_real_work\\\": 313.299198296306,\\n \\\"machine_type_group\\\": \\\"pulverizadora\\\",\\n \\\"supply_consumption\\\": 944.4742491801578,\\n \\\"over_speed_hectares\\\": 0.09148416429499585,\\n \\\"machine_type_group_id\\\": 260,\\n \\\"speed_not_working_max\\\": 16.759056,\\n \\\"speed_not_working_min\\\": 5.5765777,\\n \\\"climate_bad_proportion\\\": 0.1935205087042581,\\n \\\"climate_optimal_proportion\\\": 0.4101111949693741,\\n \\\"last_data_record_insert_time\\\": null,\\n \\\"climate_suboptimal_proportion\\\": 0.39636829632636794\\n }\\n}\""
'import requests
url = "https://api.qa.sima.ag/api/v3/third_party/work_orders/{wo_id}/additional_info"
payload = "\"{\n \\"origin_system\\": \\"GeoAgris\\",\n \\"data\\": { \n \\"code\\": \\"2024 - OT - 1552p\\",\n \\"url\\": \\"https://x.agriexplorer.net/index.php/works/detail?job_uuid=91e63af5-9792-4793-a6b8-a97927b24261\\",\n \\"uuid\\": \\"91e63af5-9792-4793-a6b8-a97927b24261\\",\n \\"modified\\": \\"2024-08-11T20:57:50\\",\n \\"calculated\\": \\"2024-08-11T20:57:49.927144\\",\n \\"working_to\\": \\"2024-07-27T18:02:50\\",\n \\"external_id\\": null,\n \\"overlapping\\": 0.1508435755968094,\n \\"driver_names\\": [\n \\"Rocca, Sergio\\"\n ],\n \\"working_from\\": \\"2024-07-24T20:41:41\\",\n \\"machine_group\\": \\"Rocca\\",\n \\"valid_from_to\\": \\"[\\\\"2024-07-01 00:00:00\\\\",\\\\"2024-08-31 00:00:00\\\\"]\\",\n \\"speed_semaphore\\": 1,\n \\"machine_group_id\\": 495,\n \\"climate_semaphore\\": 3,\n \\"speed_working_max\\": 18.634207,\n \\"speed_working_min\\": 3.7966,\n \\"hectares_real_work\\": 313.299198296306,\n \\"machine_type_group\\": \\"pulverizadora\\",\n \\"supply_consumption\\": 944.4742491801578,\n \\"over_speed_hectares\\": 0.09148416429499585,\n \\"machine_type_group_id\\": 260,\n \\"speed_not_working_max\\": 16.759056,\n \\"speed_not_working_min\\": 5.5765777,\n \\"climate_bad_proportion\\": 0.1935205087042581,\n \\"climate_optimal_proportion\\": 0.4101111949693741,\n \\"last_data_record_insert_time\\": null,\n \\"climate_suboptimal_proportion\\": 0.39636829632636794\n }\n}\""
headers = {
"Authorization": "Bearer <token>",
"X-SIMA-SYSTEM-ID": "<api-key>",
"Content-Type": "*/*"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-SIMA-SYSTEM-ID': '<api-key>',
'Content-Type': '*/*'
},
body: JSON.stringify('"{\n \"origin_system\": \"GeoAgris\",\n \"data\": { \n \"code\": \"2024 - OT - 1552p\",\n \"url\": \"https://x.agriexplorer.net/index.php/works/detail?job_uuid=91e63af5-9792-4793-a6b8-a97927b24261\",\n \"uuid\": \"91e63af5-9792-4793-a6b8-a97927b24261\",\n \"modified\": \"2024-08-11T20:57:50\",\n \"calculated\": \"2024-08-11T20:57:49.927144\",\n \"working_to\": \"2024-07-27T18:02:50\",\n \"external_id\": null,\n \"overlapping\": 0.1508435755968094,\n \"driver_names\": [\n \"Rocca, Sergio\"\n ],\n \"working_from\": \"2024-07-24T20:41:41\",\n \"machine_group\": \"Rocca\",\n \"valid_from_to\": \"[\\\"2024-07-01 00:00:00\\\",\\\"2024-08-31 00:00:00\\\"]\",\n \"speed_semaphore\": 1,\n \"machine_group_id\": 495,\n \"climate_semaphore\": 3,\n \"speed_working_max\": 18.634207,\n \"speed_working_min\": 3.7966,\n \"hectares_real_work\": 313.299198296306,\n \"machine_type_group\": \"pulverizadora\",\n \"supply_consumption\": 944.4742491801578,\n \"over_speed_hectares\": 0.09148416429499585,\n \"machine_type_group_id\": 260,\n \"speed_not_working_max\": 16.759056,\n \"speed_not_working_min\": 5.5765777,\n \"climate_bad_proportion\": 0.1935205087042581,\n \"climate_optimal_proportion\": 0.4101111949693741,\n \"last_data_record_insert_time\": null,\n \"climate_suboptimal_proportion\": 0.39636829632636794\n }\n}"')
};
fetch('https://api.qa.sima.ag/api/v3/third_party/work_orders/{wo_id}/additional_info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qa.sima.ag/api/v3/third_party/work_orders/{wo_id}/additional_info",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode('"{\\n \\"origin_system\\": \\"GeoAgris\\",\\n \\"data\\": { \\n \\"code\\": \\"2024 - OT - 1552p\\",\\n \\"url\\": \\"https://x.agriexplorer.net/index.php/works/detail?job_uuid=91e63af5-9792-4793-a6b8-a97927b24261\\",\\n \\"uuid\\": \\"91e63af5-9792-4793-a6b8-a97927b24261\\",\\n \\"modified\\": \\"2024-08-11T20:57:50\\",\\n \\"calculated\\": \\"2024-08-11T20:57:49.927144\\",\\n \\"working_to\\": \\"2024-07-27T18:02:50\\",\\n \\"external_id\\": null,\\n \\"overlapping\\": 0.1508435755968094,\\n \\"driver_names\\": [\\n \\"Rocca, Sergio\\"\\n ],\\n \\"working_from\\": \\"2024-07-24T20:41:41\\",\\n \\"machine_group\\": \\"Rocca\\",\\n \\"valid_from_to\\": \\"[\\\\\\"2024-07-01 00:00:00\\\\\\",\\\\\\"2024-08-31 00:00:00\\\\\\"]\\",\\n \\"speed_semaphore\\": 1,\\n \\"machine_group_id\\": 495,\\n \\"climate_semaphore\\": 3,\\n \\"speed_working_max\\": 18.634207,\\n \\"speed_working_min\\": 3.7966,\\n \\"hectares_real_work\\": 313.299198296306,\\n \\"machine_type_group\\": \\"pulverizadora\\",\\n \\"supply_consumption\\": 944.4742491801578,\\n \\"over_speed_hectares\\": 0.09148416429499585,\\n \\"machine_type_group_id\\": 260,\\n \\"speed_not_working_max\\": 16.759056,\\n \\"speed_not_working_min\\": 5.5765777,\\n \\"climate_bad_proportion\\": 0.1935205087042581,\\n \\"climate_optimal_proportion\\": 0.4101111949693741,\\n \\"last_data_record_insert_time\\": null,\\n \\"climate_suboptimal_proportion\\": 0.39636829632636794\\n }\\n}"'),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: */*",
"X-SIMA-SYSTEM-ID: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": 1,
"work_order_id": 596122,
"origin_system": "GeoAgris",
"data": "{\"code\":\"2024 - OT - 1552p\",\"url\":\"https:\\/\\/x.agriexplorer.net\\/index.php\\/works\\/detail?job_uuid=91e63af5-9792-4793-a6b8-a97927b24261\",\"uuid\":\"91e63af5-9792-4793-a6b8-a97927b24261\",\"modified\":\"2024-08-11T20:57:50\",\"calculated\":\"2024-08-11T20:57:49.927144\",\"working_to\":\"2024-07-27T18:02:50\",\"external_id\":null,\"overlapping\":0.1508435755968094,\"driver_names\":[\"Rocca, Sergio\"],\"working_from\":\"2024-07-24T20:41:41\",\"machine_group\":\"Rocca\",\"valid_from_to\":\"[\\\"2024-07-01 00:00:00\\\",\\\"2024-08-31 00:00:00\\\"]\",\"speed_semaphore\":1,\"machine_group_id\":495,\"climate_semaphore\":3,\"speed_working_max\":18.634207,\"speed_working_min\":3.7966,\"hectares_real_work\":313.299198296306,\"machine_type_group\":\"pulverizadora\",\"supply_consumption\":944.4742491801578,\"over_speed_hectares\":0.09148416429499585,\"machine_type_group_id\":260,\"speed_not_working_max\":16.759056,\"speed_not_working_min\":5.5765777,\"climate_bad_proportion\":0.1935205087042581,\"climate_optimal_proportion\":0.4101111949693741,\"last_data_record_insert_time\":null,\"climate_suboptimal_proportion\":0.39636829632636794}",
"created_at": "2024-08-28T14:58:35-03:00",
"modified_at": "2024-08-28T14:58:35-03:00",
"deleted_at": null,
"active": true
}Add info
Authorizations
access_token obtenido via POST /api/v2/login
Identificador del sistema integrador (8 para Third-Party API)
Path Parameters
Body
The body is of type string.
"\"{\\n \\\"origin_system\\\": \\\"GeoAgris\\\",\\n \\\"data\\\": { \\n \\\"code\\\": \\\"2024 - OT - 1552p\\\",\\n \\\"url\\\": \\\"https://x.agriexplorer.net/index.php/works/detail?job_uuid=91e63af5-9792-4793-a6b8-a97927b24261\\\",\\n \\\"uuid\\\": \\\"91e63af5-9792-4793-a6b8-a97927b24261\\\",\\n \\\"modified\\\": \\\"2024-08-11T20:57:50\\\",\\n \\\"calculated\\\": \\\"2024-08-11T20:57:49.927144\\\",\\n \\\"working_to\\\": \\\"2024-07-27T18:02:50\\\",\\n \\\"external_id\\\": null,\\n \\\"overlapping\\\": 0.1508435755968094,\\n \\\"driver_names\\\": [\\n \\\"Rocca, Sergio\\\"\\n ],\\n \\\"working_from\\\": \\\"2024-07-24T20:41:41\\\",\\n \\\"machine_group\\\": \\\"Rocca\\\",\\n \\\"valid_from_to\\\": \\\"[\\\\\\\"2024-07-01 00:00:00\\\\\\\",\\\\\\\"2024-08-31 00:00:00\\\\\\\"]\\\",\\n \\\"speed_semaphore\\\": 1,\\n \\\"machine_group_id\\\": 495,\\n \\\"climate_semaphore\\\": 3,\\n \\\"speed_working_max\\\": 18.634207,\\n \\\"speed_working_min\\\": 3.7966,\\n \\\"hectares_real_work\\\": 313.299198296306,\\n \\\"machine_type_group\\\": \\\"pulverizadora\\\",\\n \\\"supply_consumption\\\": 944.4742491801578,\\n \\\"over_speed_hectares\\\": 0.09148416429499585,\\n \\\"machine_type_group_id\\\": 260,\\n \\\"speed_not_working_max\\\": 16.759056,\\n \\\"speed_not_working_min\\\": 5.5765777,\\n \\\"climate_bad_proportion\\\": 0.1935205087042581,\\n \\\"climate_optimal_proportion\\\": 0.4101111949693741,\\n \\\"last_data_record_insert_time\\\": null,\\n \\\"climate_suboptimal_proportion\\\": 0.39636829632636794\\n }\\n}\""
Response
Created
The response is of type object.

